Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grogra
Class LSYFilter

    java.lang.Object
      de.grogra.pf.io.FilterBase
          de.grogra.rgg.model.XLFilter
              de.grogra.grogra.LSYFilter

All Implemented Interfaces:
  Filter, FilterSource, ObjectSource, RegistryContext, Map

    public class LSYFilter

extends XLFilter

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary

Fields inherited from class de.grogra.rgg.model.XLFilter
`DUMP_TREE`

Fields inherited from class de.grogra.pf.io.FilterBase
`item, source`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`LSYFilter(FilterItem item, ReaderSource source)`

Method Summary
`protected de.grogra.xl.parser.Parser` | `createParser(Tokenizer t)` Creates the parser which will subsequently be used to parse the token stream resulting from `t` into an abstract syntax tree.
`protected Tokenizer` | `createTokenizer()` Creates the tokenizer to be used for scanning of the source.
`protected java.lang.Class[]` | `getMemberTypeImports()` Defines the automatic member type imports (e.g., `import java.awt.PageAttributes.`
`protected java.lang.String[]` | `getPackageImports()` Defines the automatic package imports (e.g., `import java.lang.`
`protected java.lang.Class[]` | `getSingleTypeImports()` Defines the automatic single type imports (e.g., `import java.util.Map;`).
`protected java.lang.Class[]` | `getStaticTypeImports()` Defines the automatic static type imports (e.g., `import static java.lang.Math.`
`protected boolean` | `isD2FWidening()` Defines whether the conversion from `double` to `float` should be considered as widening, i.e., should be done automatically if required.

Methods inherited from class de.grogra.rgg.model.XLFilter
`compile, compile, getClassName, getEnclosingAnnotations, getImports, getLoaderForAll, getObject`

Methods inherited from class de.grogra.pf.io.FilterBase
`get, getFilter, getFlavor, getImpl, getMetaData, getRegistry, getSource, getSystemId, initProgressMonitor, setFlavor, setMetaData, setMetaData, setProgress, setSystemId, toString, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Constructor Detail

### LSYFilter

    public LSYFilter(FilterItem item,
                     ReaderSource source)

Method Detail

### createParser

    protected de.grogra.xl.parser.Parser createParser(Tokenizer t)

  Description copied from class: `XLFilter`
  Creates the parser which will subsequently be used to parse the token stream resulting from `t` into an abstract syntax tree.

  Overrides:
    `createParser` in class `XLFilter`
  Parameters:
    `t` - token stream input
  Returns:
    parser which parses token stream of `t`

### createTokenizer

    protected Tokenizer createTokenizer()

  Description copied from class: `XLFilter`
  Creates the tokenizer to be used for scanning of the source.

  Overrides:
    `createTokenizer` in class `XLFilter`
  Returns:
    tokenizer instance

### getMemberTypeImports

    protected java.lang.Class[] getMemberTypeImports()

  Description copied from class: `XLFilter`
  Defines the automatic member type imports (e.g., `import java.awt.PageAttributes.*;`).

  Overrides:
    `getMemberTypeImports` in class `XLFilter`
  Returns:
    types whose member types are imported automatically

### getPackageImports

    protected java.lang.String[] getPackageImports()

  Description copied from class: `XLFilter`
  Defines the automatic package imports (e.g., `import java.lang.*;`). The implementation of `XLFilter` returns `{"java.lang"}`.

  Overrides:
    `getPackageImports` in class `XLFilter`
  Returns:
    automatic package imports

### getSingleTypeImports

    protected java.lang.Class[] getSingleTypeImports()

  Description copied from class: `XLFilter`
  Defines the automatic single type imports (e.g., `import java.util.Map;`).

  Overrides:
    `getSingleTypeImports` in class `XLFilter`
  Returns:
    types which are imported automatically

### getStaticTypeImports

    protected java.lang.Class[] getStaticTypeImports()

  Description copied from class: `XLFilter`
  Defines the automatic static type imports (e.g., `import static java.lang.Math.*;`).

  Overrides:
    `getStaticTypeImports` in class `XLFilter`
  Returns:
    types whose static members are imported automatically

### isD2FWidening

    protected boolean isD2FWidening()

  Description copied from class: `XLFilter`
  Defines whether the conversion from `double` to `float` should be considered as widening, i.e., should be done automatically if required.

  Overrides:
    `isD2FWidening` in class `XLFilter`
  Returns:
    implicit conversion from `double` to `float`?

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD